POST /whatsapp/catalogs

Connect a catalog to the WABA

POST
/whatsapp/catalogs

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Request Body

application/json
  1. body
accountId*string

WhatsApp account id

catalogId*string
catalogAccountId?string

Response Body

{wabaId, catalogs}

application/json
  1. response
wabaId?string|null
catalogs?array<>
Example Request
curl -X POST 'https://example.com/api/v1/whatsapp/catalogs' \  -H 'Content-Type: application/json' \  -d '{  "accountId": "string",  "catalogId": "string"}'
Example Response
{  "wabaId": "string",  "catalogs": [    {      "id": "string",      "name": "string"    }  ]}